local M = {}

local rearSwayBar = "adaptiveRearSwayBar"
local frontSwayBar = "adaptiveFrontSwayBar"
local parameters = {torsionBarMode}
local torsionBarModes = {
    on = "connected",
    off = "disconnected",
}

local function setParameters()
    controller.getControllerSafe(frontSwayBar).setParameters(parameters)
    controller.getControllerSafe(rearSwayBar).setParameters(parameters)
    guihooks.message("Sway Bars mode: "..parameters.torsionBarMode, 3, "expCustomInput")
end

local function init(jbeamData)
    rearSwayBar = jbeamData.rearSwayBar or rearSwayBar
    frontSwayBar = jbeamData.frontSwayBar or frontSwayBar
    parameters.torsionBarMode = torsionBarModes.on
end

local function reset()
    setParameters()
end

local function toggle()
    if parameters.torsionBarMode == torsionBarModes.on then
        parameters.torsionBarMode = torsionBarModes.off
    else
        parameters.torsionBarMode = torsionBarModes.on
    end
    setParameters()

    -- Debug
    --print(parameters.torsionBarMode)
end

M.init = init
M.reset = reset
M.toggle = toggle

return M